%define version 0.2.0
%define release alt1
%define	origname TwistedRunner
%setup_python_module twisted-runner

Name:           %{packagename}
Version:        %{version}
Release:        %{release}
Summary:        Twisted Runner process management library and inetd replacement

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com/trac/wiki/TwistedRunner
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Runner/0.2/%{origname}-%{version}.tar.bz2


BuildRequires:  python-devel
BuildRequires:  python-module-twisted-core >= 2.5.0

Requires:       python-module-twisted-core

%description
Twisted is an event-based framework for internet applications.

Twisted Runner contains code useful for persistent process management
with Python and Twisted, and has an almost full replacement for inetd.

%prep
%setup -q -n %{origname}-%{version}

%build
%__python setup.py build

%install
%__python setup.py install -O1 --root $RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{python_sitelibdir}/twisted/runner/portmap.c

%clean

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS

%{python_sitelibdir}/twisted/runner/

%changelog
* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.2.0-alt1
- Build for new upstream version
